List Clusters
curl --request GET \
--url https://api.evergreens.ai/v1/knowledgebase \
--header 'Authorization: Bearer <token>'{
"status": true,
"data": [
{
"id": "ce419c96-17fa-4762-bf04-8115bd8143b3",
"name": "EM",
"type": "website",
"metadata": {
"url": "https://evergreen.media",
"title": "EM",
"pullType": "entire-website",
"excludeFooter": true,
"excludeHeader": true
},
"created_at": "2026-05-15T10:36:39.424Z",
"updated_at": "2026-05-15T10:40:40.415Z"
}
]
}
List Clusters
GET
/
v1
/
knowledgebase
List Clusters
curl --request GET \
--url https://api.evergreens.ai/v1/knowledgebase \
--header 'Authorization: Bearer <token>'{
"status": true,
"data": [
{
"id": "ce419c96-17fa-4762-bf04-8115bd8143b3",
"name": "EM",
"type": "website",
"metadata": {
"url": "https://evergreen.media",
"title": "EM",
"pullType": "entire-website",
"excludeFooter": true,
"excludeHeader": true
},
"created_at": "2026-05-15T10:36:39.424Z",
"updated_at": "2026-05-15T10:40:40.415Z"
}
]
}
Documentation Index
Fetch the complete documentation index at: https://docs.evergreens.ai/llms.txt
Use this file to discover all available pages before exploring further.

KnowledgebaseEntityRetrieve a list of all clusters in the knowledge base.
The unique identifier of the cluster.
The name of the cluster.
The type of the cluster (e.g., “website”, “sitemap”, etc.).
Additional metadata associated with the cluster.
The timestamp when the cluster was created.
The timestamp when the cluster was last updated.
{
"status": true,
"data": [
{
"id": "ce419c96-17fa-4762-bf04-8115bd8143b3",
"name": "EM",
"type": "website",
"metadata": {
"url": "https://evergreen.media",
"title": "EM",
"pullType": "entire-website",
"excludeFooter": true,
"excludeHeader": true
},
"created_at": "2026-05-15T10:36:39.424Z",
"updated_at": "2026-05-15T10:40:40.415Z"
}
]
}
Was this page helpful?
⌘I